Syncfusion AI Assistant

How can I help you?

HeatMap

16 Mar 202624 minutes to read

Represents the heatmap control. This is used to customize the properties of the heatmap in order to visualize two-dimensional data, with values represented by gradient or solid color variations.

<div id="container"/>
<script>
  var heatmapObj = new HeatMap();
  heatmapObj.appendTo("#container");
</script>

Properties

allowSelection boolean

Enable or disable the selection of cells in heatmap.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);

    /**
    * Sample for Line serie
    */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
            }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        dataSource: heatmapData,
    });
    heatmap.appendTo('#container');

Defaults to false

backgroundColor string

Specifies the background color of the entire heatmap.

Defaults to null

cellSettings CellSettingsModel

Sets and gets the options to customize the heatmap cells.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);

    /**
    * Sample for Line serie
    */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
            }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        cellSettings: {
            showLabel: false,
            border: {
            width: 0,
            },
            format: '{value} rates'
        },
        allowSelection: true,
        dataSource: heatmapData,
    });
    heatmap.appendTo('#container');

dataSource Object

Sets and gets the data to visualize in the heatmap.

Defaults to null

dataSourceSettings DataModel

Sets and gets the options to customize the data mapping for the data in the heatmap.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
  import { enableRipple } from '@syncfusion/ej2-base';
  enableRipple(true);

  import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
  HeatMap.Inject(Tooltip, Legend);

  /**
   * Sample for Line serie
   */
  let heatmapData: any[] = [
    [73, 39, 26, 39, 94, 0],
    [93, 58, 53, 38, 26, 68],
    [99, 28, 22, 4, 66, 90],
    [14, 26, 97, 69, 69, 3],
    [7, 46, 47, 47, 88, 6],
    [41, 55, 73, 23, 3, 79],
    [56, 69, 21, 86, 3, 33],
    [45, 7, 53, 81, 95, 79],
    [60, 77, 74, 68, 88, 51],
    [25, 25, 10, 12, 78, 14],
    [25, 56, 55, 58, 12, 82],
    [74, 33, 88, 23, 86, 59]
  ];

  let heatmap: HeatMap = new HeatMap({
    titleSettings: {
              text: 'Olympic Medal Achievements of most Successful Countries',
              textStyle: {
                  size: '15px',
                  fontWeight: '500',
                  fontStyle: 'Normal',
                  fontFamily: 'Segoe UI'
              }
          },
          xAxis: {
              labels: ['China', 'France', 'GBR', 'Germany', 'Italy', 'Japan', 'KOR', 'Russia', 'USA'],
              labelRotation: 45,
              labelIntersectAction: 'None',
          },
          yAxis: {
              title : {text: 'Olympic Year'},
              labels: ['2000', '2004', '2008', '2012', '2016'],
          },
          dataSource: heatmapData,
          dataSourceSettings: {
              isJsonData: true,
              adaptorType: 'Table',
              xDataMapping: 'Region',
          }, paletteSettings: {
              palette: [{ color: '#F0C27B' },
              { color: '#4B1248' }
              ],
          },
          cellSettings: {
              border: {
                  width: 1,
                  radius: 4,
                  color: 'white'
              }
          },
  });
  heatmap.appendTo('#container');

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the HeatMap. If enableHtmlSanitizer set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to false

enableMultiSelect boolean

Enable or disable the multiple selection of cells in heatmap.

Defaults to true

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height string

Sets and gets the height of the heatmap. The height of the heatmap accepts pixel or percentage values given in string format.

Defaults to null

legendSettings LegendSettingsModel

Sets and gets the options for customizing the legend of the heatmap.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
  import { enableRipple } from '@syncfusion/ej2-base';
  enableRipple(true);

  import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
  HeatMap.Inject(Tooltip, Legend);

  /**
   * Sample for Line serie
   */
  let heatmapData: any[] = [
    [73, 39, 26, 39, 94, 0],
    [93, 58, 53, 38, 26, 68],
    [99, 28, 22, 4, 66, 90],
    [14, 26, 97, 69, 69, 3],
    [7, 46, 47, 47, 88, 6],
    [41, 55, 73, 23, 3, 79],
    [56, 69, 21, 86, 3, 33],
    [45, 7, 53, 81, 95, 79],
    [60, 77, 74, 68, 88, 51],
    [25, 25, 10, 12, 78, 14],
    [25, 56, 55, 58, 12, 82],
    [74, 33, 88, 23, 86, 59]
  ];

  let heatmap: HeatMap = new HeatMap({
    titleSettings: {
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
            }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin',   'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        cellSettings: {
            showLabel: false,
        },
        paletteSettings: {
        palette: [
           { value: 0, color: '#C2E7EC' },
            { value: 10, color: '#AEDFE6' },
            { value: 20, color: '#9AD7E0' },
            { value: 30, color: '#72C7D4' },
            { value: 40, color: '#5EBFCE' },
            { value: 50, color: '#4AB7C8' },
            { value: 60, color: '#309DAE' },
            { value: 70, color: '#2B8C9B' },
            { value: 80, color: '#206974' },
            { value: 90, color: '#15464D' },
            { value: 100, color: '#000000' },
        ],
        },
        dataSource: heatmapData,
        legendSettings: {
            position: 'Top',
        }
    });
  heatmap.appendTo('#container');

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

margin MarginModel

Sets and gets the options to customize left, right, top and bottom margins of the heatmap.

paletteSettings PaletteSettingsModel

Sets and gets the options for customizing the cell color of the heatmap.

renderingMode DrawType

Specifies the rendering mode of heatmap. The following are the available rendering modes.

  • SVG - Heatmap is rendered using SVG element.
  • Canvas - Heatmap is rendered using Canvas element.
  • Auto - Automatically switches the rendering mode based on number of records in the data source.

Defaults to SVG

showTooltip boolean

Enable or disable the visibility of the tooltip for heatmap.

Defaults to true

theme HeatMapTheme

Sets and gets the theme styles supported for heatmap. When the theme is set, the styles associated with the theme will be set in the heatmap.

Defaults to ‘Material’

titleSettings TitleModel

Sets and gets the options to customize the title of the heatmap.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
  import { enableRipple } from '@syncfusion/ej2-base';
  enableRipple(true);

  import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
  HeatMap.Inject(Tooltip, Legend);

  /**
   * Sample for Line serie
   */
  let heatmapData: any[] = [
    [73, 39, 26, 39, 94, 0],
    [93, 58, 53, 38, 26, 68],
    [99, 28, 22, 4, 66, 90],
    [14, 26, 97, 69, 69, 3],
    [7, 46, 47, 47, 88, 6],
    [41, 55, 73, 23, 3, 79],
    [56, 69, 21, 86, 3, 33],
    [45, 7, 53, 81, 95, 79],
    [60, 77, 74, 68, 88, 51],
    [25, 25, 10, 12, 78, 14],
    [25, 56, 55, 58, 12, 82],
    [74, 33, 88, 23, 86, 59]
  ];

  let heatmap: HeatMap = new HeatMap({
    titleSettings: {
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Italic',
            fontFamily: 'Courier New'
            }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin',   'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        cellSettings: {
            showLabel: false,
        },      
        dataSource: heatmapData,
  });
  heatmap.appendTo('#container');

tooltipSettings TooltipSettingsModel

Sets and gets the options for customizing the tooltip of the heatmap.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
  import { enableRipple } from '@syncfusion/ej2-base';
  enableRipple(true);

  import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
  HeatMap.Inject(Tooltip, Legend);

  /**
   * Sample for Line serie
   */
  let heatmapData: any[] = [
    [73, 39, 26, 39, 94, 0],
    [93, 58, 53, 38, 26, 68],
    [99, 28, 22, 4, 66, 90],
    [14, 26, 97, 69, 69, 3],
    [7, 46, 47, 47, 88, 6],
    [41, 55, 73, 23, 3, 79],
    [56, 69, 21, 86, 3, 33],
    [45, 7, 53, 81, 95, 79],
    [60, 77, 74, 68, 88, 51],
    [25, 25, 10, 12, 78, 14],
    [25, 56, 55, 58, 12, 82],
    [74, 33, 88, 23, 86, 59]
  ];

  let heatmap: HeatMap = new HeatMap({
    titleSettings: {
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Italic',
            fontFamily: 'Courier New'
            }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin',   'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        cellSettings: {
            showLabel: false,
        },
        tooltipSettings: {
            fill: '#696295',
            textStyle: {
                color: '#FFFFFF',
                size: '12px'
            },
             border: {
                width: 2,
                color: '#F0C27B'
            }
        },      
        dataSource: heatmapData,
  });
  heatmap.appendTo('#container');

width string

Sets and gets the width of the heatmap. The width of the heatmap accepts pixel or percentage values given in string format.
If specified as ‘100%, heatmap renders to the full width of its parent element.

Defaults to null

xAxis AxisModel

Sets and gets the options to configure the horizontal axis.

yAxis AxisModel

Sets and gets the options to configure the vertical axis.

Methods

addEventListener

Adds the handler to the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event
handler Function Specifies the call to run when the event occurs.

Returns void

appendTo

Appends the control within the given HTML element

Parameter Type Description
selector (optional) string | HTMLElement Target element where control needs to be appended

Returns void

clearSelection

This method is used to clear the cell selection in the heatmap.

  <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
            <div>
                <button id="clearSelection">Clear Selection</button>
            </div>
        </body>
  </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);
    import { Button } from '@syncfusion/ej2-buttons';

    /**
    * Sample for Line serie
    */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
        }
        },
        xAxis: {
        labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        dataSource: heatmapData,
    });
    let button: Button = new Button();
    button.appendTo('#clearSelection');
    document.getElementById('clearSelection').onclick = () => {
        heatmap.clearSelection();
    };
    heatmap.appendTo('#container');

Returns void

dataBind

When invoked, applies the pending property changes immediately to the component.

Returns void

destroy

This method destroys the heatmap. This method removes the events associated with the heatmap and disposes the objects created for rendering and updating the heatmap.

  <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
            <div>
                <button id="destroy">Destroy</button>
            </div>
        </body>
  </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);
    import { Button } from '@syncfusion/ej2-buttons';

    /**
    * Sample for Line serie
    */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
        }
        },
        xAxis: {
        labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        dataSource: heatmapData,
    });
    let button: Button = new Button();
    button.appendTo('#destroy');
    document.getElementById('destroy').onclick = () => {
        heatmap.destroy();
    };
    heatmap.appendTo('#container');

Returns void

export

This method is used to perform the export functionality for the heatmap.

Parameter Type Description
type ExportType Specifies the type of the exported file.
fileName string Specifies the file name for the exported file.
orientation (optional) PdfPageOrientation Specifies the orientation for the exported PDF document.

Returns void

getRootElement

Returns the route element of the component

Returns HTMLElement

print

This method is used to print the rendered heatmap.

Returns void

refresh

Applies all the pending property changes and render the component again.

Returns void

removeEventListener

Removes the handler from the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event to remove
handler Function Specifies the function to remove

Returns void

Inject

Dynamically injects the required modules to the component.

Parameter Type Description
moduleList Function[] ?

Returns void

Events

cellClick EmitType<ICellClickEventArgs>

Triggers when clicking on the heatmap cell.

cellDoubleClick EmitType<ICellClickEventArgs>

Triggers when performing the double click operation on the cells in the HeatMap.

cellRender EmitType<ICellEventArgs>

Triggers before each heatmap cell renders.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
  import { enableRipple } from '@syncfusion/ej2-base';
  enableRipple(true);

  import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme, ICellEventArgs } from '@syncfusion/ej2-heatmap';
  HeatMap.Inject(Tooltip, Legend);

  /**
   * Sample for Line serie
   */
  let heatmapData: any[] = [
    [73, 39, 26, 39, 94, 0],
    [93, 58, 53, 38, 26, 68],
    [99, 28, 22, 4, 66, 90],
    [14, 26, 97, 69, 69, 3],
    [7, 46, 47, 47, 88, 6],
    [41, 55, 73, 23, 3, 79],
    [56, 69, 21, 86, 3, 33],
    [45, 7, 53, 81, 95, 79],
    [60, 77, 74, 68, 88, 51],
    [25, 25, 10, 12, 78, 14],
    [25, 56, 55, 58, 12, 82],
    [74, 33, 88, 23, 86, 59]
  ];

  let heatmap: HeatMap = new HeatMap({
    titleSettings: {
      text: 'Sales Revenue per Employee (in 1000 US$)',
      textStyle: {
        size: '15px',
        fontWeight: '500',
        fontStyle: 'Italic',
        fontFamily: 'Courier New'
      }
    },
    xAxis: {
      labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
        'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
    },
    yAxis: {
      labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
    },
    cellSettings: {
      showLabel: true,
    },
    tooltipSettings: {
      fill: '#696295',
      textStyle: {
        color: '#FFFFFF',
        size: '12px'
      },
      border: {
        width: 2,
        color: '#F0C27B'
      }
    },
    cellRender: (args: ICellEventArgs) => {
      args.displayText = '$ ' + (args.value / 2) + 'K';
    },
    dataSource: heatmapData,
  });
  heatmap.appendTo('#container');

cellSelected EmitType<ISelectedEventArgs>

Triggers when heatmap cell gets selected.

created EmitType<Object>

Triggers after heatmap is completely rendered.

legendRender EmitType<ILegendRenderEventArgs>

Triggers before the legend is rendered.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme, ILegendRenderEventArgs } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);

    /**
    * Sample for Line serie
    */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Normal',
                fontFamily: 'Segoe UI'
        }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        legendRender: (args: ILegendRenderEventArgs) => {
            args.text = args.text +'k';
        },
        dataSource: heatmapData,
    });
    heatmap.appendTo('#container');

load EmitType<ILoadedEventArgs>

Triggers before heatmap gets loaded.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);

  /**
  * Sample for Line serie
  */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Normal',
                fontFamily: 'Segoe UI'
        }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        load: (args: ILoadedEventArgs) => {
            alert('Heatmap rendered successfully');
            let selectedTheme: string = location.hash.split('/')[1];
            selectedTheme = selectedTheme ? selectedTheme : 'Material';
            args.heatmap.theme = <HeatMapTheme>(selectedTheme.charAt(0).toUpperCase() + selectedTheme.slice(1));
        },
        dataSource: heatmapData,
    });
  heatmap.appendTo('#container');

loaded EmitType<ILoadedEventArgs>

Triggers after heatmap is loaded.

resized EmitType<IResizeEventArgs>

Triggers to notify the resize of the heatmap when the window is resized.

tooltipRender EmitType<ITooltipEventArgs>

Triggers before the tooltip of the heatmap is rendered on the heatmap cell.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme, ITooltipEventArgs } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);

    /**
    * Sample for Line serie
    */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Normal',
                fontFamily: 'Segoe UI'
        }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        tooltipRender: (args: ITooltipEventArgs) => {
            args.content = ['In ' + args.yLabel + ', the ' + args.xLabel + ' produced ' + args.value + ' million barrels per day'];
        },
        dataSource: heatmapData,
    });
    heatmap.appendTo('#container');

HelpBot Assistant

How can I help you?

HeatMapComponent

23 Sep 202524 minutes to read

Represents the Angular HeatMap component.
This is used to customize the properties of the heatmap in order to visualize two-dimensional data, with values represented by gradient or solid color variations.

<ejs-heatmap></ejs-heatmap>

Properties

allowSelection boolean

Enable or disable the selection of cells in heatmap.

    <ejs-heatmap id='container' style="display:block;" [dataSource]='dataSource' [allowSelection]='allowSelection'></ejs-heatmap>
    import { Component, ViewEncapsulation } from '@angular/core';

    /**
    * HeatMap default sample
    */
    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        allowSelection: boolean = true;
        dataSource: Object[] = [
            [73, 39, 26, 39, 94, 0],
            [93, 58, 53, 38, 26, 68],
            [99, 28, 22, 4, 66, 90],
            [14, 26, 97, 69, 69, 3],
            [7, 46, 47, 47, 88, 6],
            [41, 55, 73, 23, 3, 79]
            ];
    }

Defaults to false

backgroundColor string

Specifies the background color of the entire heatmap.

Defaults to null

cellSettings CellSettingsModel

Sets and gets the options to customize the heatmap cells.

    <ejs-heatmap id='container' style="display:block;" [cellSettings]='cellSettings' [dataSource]='dataSource'>
    </ejs-heatmap>
    import { Component, ViewEncapsulation } from '@angular/core';

    /**
    * HeatMap default sample
    */
    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        dataSource: Object[] = [
            [73, 39, 26, 39, 94, 0],
            [93, 58, 53, 38, 26, 68],
            [99, 28, 22, 4, 66, 90],
            [14, 26, 97, 69, 69, 3],
            [7, 46, 47, 47, 88, 6],
            [41, 55, 73, 23, 3, 79]
        ];
        public cellSettings: Object = {
            showLabel: false
        };
    }

dataSource Object

Sets and gets the data to visualize in the heatmap.

Defaults to null

dataSourceSettings DataModel

Sets and gets the options to customize the data mapping for the data in the heatmap.

    <ejs-heatmap id='container' style="display:block;" [dataSource]='dataSource' [dataSourceSettings]='dataSourceSettings'></ejs-heatmap>
    import { Component, ViewEncapsulation } from '@angular/core';

    /**
    * HeatMap default sample
    */
    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        dataSource: Object[] = [
            [0, 0, 10.75], [0, 1, 14.5], [0, 2, 25.5], [0, 3, 39.5], [0, 4, 59.75], [0, 5, 35.50], [0, 6, 75.5],
            [1, 0, 20.75], [1, 1, 35.5], [1, 2, 29.5], [1, 3, 75.5], [1, 4, 80], [1, 5, 65], [1, 6, 85],
            [2, 0, 6], [2, 1, 18.5], [2, 2, 30.05], [2, 3, 35.5], [2, 4, 40.75], [2, 5, 50.75], [2, 6, 65],
            [3, 0, 30.5], [3, 1, 20.5], [3, 2, 45.30], [3, 3, 50], [3, 4, 55], [3, 5, 85.80], [3, 6, 87.5],
            [4, 0, 10.5], [4, 1, 20.75], [4, 2, 35.5], [4, 3, 35.5], [4, 4, 45.5], [4, 5, 65.], [4, 6, 75.5],
            [5, 0, 45.5], [5, 1, 20.75], [5, 2, 45.5], [5, 3, 50.75], [5, 4, 79.30], [5, 5, 84.20], [5, 6, 87.36],
            [6, 0, 26.82], [6, 1, 70], [6, 2, 75], [6, 3, 79.5], [6, 4, 88.5], [6, 5, 89.5], [6, 6, 91.75],
        ];
        dataSourceSettings: Object = {
            adaptorType: 'Cell'
        };
    }

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the HeatMap. If enableHtmlSanitizer set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to false

enableMultiSelect boolean

Enable or disable the multiple selection of cells in heatmap.

Defaults to true

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height string

Sets and gets the height of the heatmap. The height of the heatmap accepts pixel or percentage values given in string format.

Defaults to null

legendSettings LegendSettingsModel

Sets and gets the options for customizing the legend of the heatmap.

    <ejs-heatmap id='container' style="display:block;" [dataSource]='dataSource' [legendSettings]='legendSettings'></ejs-heatmap>
    import { Component, ViewEncapsulation } from '@angular/core';
    import { HeatMap, Legend } from '@syncfusion/ej2-angular-heatmap';
    HeatMap.Inject(Legend);

    /**
    * HeatMap default sample
    */
    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        dataSource: Object[] = [
            [73, 39, 26, 39, 94, 0],
            [93, 58, 53, 38, 26, 68],
            [99, 28, 22, 4, 66, 90],
            [14, 26, 97, 69, 69, 3],
            [7, 46, 47, 47, 88, 6],
            [41, 55, 73, 23, 3, 79],
        ];
        public legendSettings: Object = {
            position: 'Top',
        };
    }

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

margin MarginModel

Sets and gets the options to customize left, right, top and bottom margins of the heatmap.

paletteSettings PaletteSettingsModel

Sets and gets the options for customizing the cell color of the heatmap.

renderingMode DrawType

Specifies the rendering mode of heatmap. The following are the available rendering modes.

  • SVG - Heatmap is rendered using SVG element.
  • Canvas - Heatmap is rendered using Canvas element.
  • Auto - Automatically switches the rendering mode based on number of records in the data source.

Defaults to SVG

showTooltip boolean

Enable or disable the visibility of the tooltip for heatmap.

Defaults to true

theme HeatMapTheme

Sets and gets the theme styles supported for heatmap. When the theme is set, the styles associated with the theme will be set in the heatmap.

Defaults to ‘Material’

titleSettings TitleModel

Sets and gets the options to customize the title of the heatmap.

    <ejs-heatmap id='container' style="display:block;" [dataSource]='dataSource' [titleSettings]='titleSettings'></ejs-heatmap>
    import { Component, ViewEncapsulation } from '@angular/core';

    /**
    * HeatMap default sample
    */
    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        titleSettings: Object = {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Italic',
                fontFamily: 'Courier New'
            }
        };
        dataSource: Object[] = [
            [73, 39, 26, 39, 94, 0],
            [93, 58, 53, 38, 26, 68],
            [99, 28, 22, 4, 66, 90],
            [14, 26, 97, 69, 69, 3],
            [7, 46, 47, 47, 88, 6],
            [41, 55, 73, 23, 3, 79],
            [56, 69, 21, 86, 3, 33],
            [45, 7, 53, 81, 95, 79],
            [60, 77, 74, 68, 88, 51],
            [25, 25, 10, 12, 78, 14],
            [25, 56, 55, 58, 12, 82],
            [74, 33, 88, 23, 86, 59]
        ];
    }

tooltipSettings TooltipSettingsModel

Sets and gets the options for customizing the tooltip of the heatmap.

    <ejs-heatmap id='container' style="display:block;" [dataSource]='dataSource' [tooltipSettings]='tooltipSettings'></ejs-heatmap>
    import { Component, ViewEncapsulation } from '@angular/core';

    /**
    * HeatMap default sample
    */
    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        public tooltipSettings: Object = {
            fill: '#696295',
            textStyle: {
                color: '#FFFFFF',
                size: '12px'
            },
            border: {
                width: 2,
                color: '#F0C27B'
            }
        };
        dataSource: Object[] = [
            [73, 39, 26, 39, 94, 0],
            [93, 58, 53, 38, 26, 68],
            [99, 28, 22, 4, 66, 90],
            [14, 26, 97, 69, 69, 3],
            [7, 46, 47, 47, 88, 6],
            [41, 55, 73, 23, 3, 79],
            [56, 69, 21, 86, 3, 33],
            [45, 7, 53, 81, 95, 79],
            [60, 77, 74, 68, 88, 51],
            [25, 25, 10, 12, 78, 14],
            [25, 56, 55, 58, 12, 82],
            [74, 33, 88, 23, 86, 59]
        ];
    }

width string

Sets and gets the width of the heatmap. The width of the heatmap accepts pixel or percentage values given in string format.
If specified as ‘100%, heatmap renders to the full width of its parent element.

Defaults to null

xAxis AxisModel

Sets and gets the options to configure the horizontal axis.

yAxis AxisModel

Sets and gets the options to configure the vertical axis.

Methods

clearSelection

This method is used to clear the cell selection in the heatmap.

    <ejs-heatmap #heatmap id='container' style="display:block;" allowSelection="true" [dataSource]='dataSource'></ejs-heatmap>
    <button (click)='clear()' id='submit'>Clear Selection</button>
    import { Component, ViewEncapsulation, ViewChild  } from '@angular/core';
    import { HeatMapComponent } from '@syncfusion/ej2-angular-heatmap';

    /**
    * HeatMap default sample
    */
    @Component({
        selector: 'app-root',
        templateUrl: 'app.component.html',
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        dataSource: Object[] = [
            [73, 39, 26, 39, 94, 0],
            [93, 58, 53, 38, 26, 68],
            [99, 28, 22, 4, 66, 90],
            [14, 26, 97, 69, 69, 3],
            [7, 46, 47, 47, 88, 6],
            [41, 55, 73, 23, 3, 79],
            [56, 69, 21, 86, 3, 33],
            [45, 7, 53, 81, 95, 79],
            [60, 77, 74, 68, 88, 51],
            [25, 25, 10, 12, 78, 14],
            [25, 56, 55, 58, 12, 82],
            [74, 33, 88, 23, 86, 59]
        ];
        @ViewChild('heatmap')
        public heatmap: HeatMapComponent;
        public clear = function(event: any): void {
            this.heatmap.clearSelection();
        }  
    }

Returns void

destroy

This method destroys the heatmap. This method removes the events associated with the heatmap and disposes the objects created for rendering and updating the heatmap.

  <ejs-heatmap #heatmap id='container' style="display:block;" [dataSource]='dataSource'></ejs-heatmap>
  <button class="e-control e-btn" (click)="destroy()">Destroy</button>
  import { Component, ViewEncapsulation, ViewChild  } from '@angular/core';
  import { HeatMapComponent } from '@syncfusion/ej2-angular-heatmap';

  /**
  * HeatMap default sample
  */
  @Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None
  })
  export class AppComponent {
    dataSource: Object[] = [
      [73, 39, 26, 39, 94, 0],
      [93, 58, 53, 38, 26, 68],
      [99, 28, 22, 4, 66, 90],
      [14, 26, 97, 69, 69, 3],
      [7, 46, 47, 47, 88, 6],
      [41, 55, 73, 23, 3, 79],
      [56, 69, 21, 86, 3, 33],
      [45, 7, 53, 81, 95, 79],
      [60, 77, 74, 68, 88, 51],
      [25, 25, 10, 12, 78, 14],
      [25, 56, 55, 58, 12, 82],
      [74, 33, 88, 23, 86, 59]
    ];
    @ViewChild('heatmap')
    public heatmap: HeatMapComponent;
    public destroy = function(event: any): void {
      this.heatmap.destroy();
    }  
  }

Returns void

export

This method is used to perform the export functionality for the heatmap.

Parameter Type Description
type ExportType Specifies the type of the exported file.
fileName string Specifies the file name for the exported file.
orientation (optional) PdfPageOrientation Specifies the orientation for the exported PDF document.

Returns void

print

This method is used to print the rendered heatmap.

Returns void

refresh

Applies all the pending property changes and render the component again.

Returns void

Events

cellClick EmitType<ICellClickEventArgs>

Triggers when clicking on the heatmap cell.

cellDoubleClick EmitType<ICellClickEventArgs>

Triggers when performing the double click operation on the cells in the HeatMap.

cellRender EmitType<ICellEventArgs>

Triggers before each heatmap cell renders.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
  import { enableRipple } from '@syncfusion/ej2-base';
  enableRipple(true);

  import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme, ICellEventArgs } from '@syncfusion/ej2-heatmap';
  HeatMap.Inject(Tooltip, Legend);

  /**
   * Sample for Line serie
   */
  let heatmapData: any[] = [
    [73, 39, 26, 39, 94, 0],
    [93, 58, 53, 38, 26, 68],
    [99, 28, 22, 4, 66, 90],
    [14, 26, 97, 69, 69, 3],
    [7, 46, 47, 47, 88, 6],
    [41, 55, 73, 23, 3, 79],
    [56, 69, 21, 86, 3, 33],
    [45, 7, 53, 81, 95, 79],
    [60, 77, 74, 68, 88, 51],
    [25, 25, 10, 12, 78, 14],
    [25, 56, 55, 58, 12, 82],
    [74, 33, 88, 23, 86, 59]
  ];

  let heatmap: HeatMap = new HeatMap({
    titleSettings: {
      text: 'Sales Revenue per Employee (in 1000 US$)',
      textStyle: {
        size: '15px',
        fontWeight: '500',
        fontStyle: 'Italic',
        fontFamily: 'Courier New'
      }
    },
    xAxis: {
      labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
        'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
    },
    yAxis: {
      labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
    },
    cellSettings: {
      showLabel: true,
    },
    tooltipSettings: {
      fill: '#696295',
      textStyle: {
        color: '#FFFFFF',
        size: '12px'
      },
      border: {
        width: 2,
        color: '#F0C27B'
      }
    },
    cellRender: (args: ICellEventArgs) => {
      args.displayText = '$ ' + (args.value / 2) + 'K';
    },
    dataSource: heatmapData,
  });
  heatmap.appendTo('#container');

cellSelected EmitType<ISelectedEventArgs>

Triggers when heatmap cell gets selected.

created EmitType<Object>

Triggers after heatmap is completely rendered.

legendRender EmitType<ILegendRenderEventArgs>

Triggers before the legend is rendered.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme, ILegendRenderEventArgs } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);

    /**
    * Sample for Line serie
    */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Normal',
                fontFamily: 'Segoe UI'
        }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        legendRender: (args: ILegendRenderEventArgs) => {
            args.text = args.text +'k';
        },
        dataSource: heatmapData,
    });
    heatmap.appendTo('#container');

load EmitType<ILoadedEventArgs>

Triggers before heatmap gets loaded.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);

  /**
  * Sample for Line serie
  */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Normal',
                fontFamily: 'Segoe UI'
        }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        load: (args: ILoadedEventArgs) => {
            alert('Heatmap rendered successfully');
            let selectedTheme: string = location.hash.split('/')[1];
            selectedTheme = selectedTheme ? selectedTheme : 'Material';
            args.heatmap.theme = <HeatMapTheme>(selectedTheme.charAt(0).toUpperCase() + selectedTheme.slice(1));
        },
        dataSource: heatmapData,
    });
  heatmap.appendTo('#container');

loaded EmitType<ILoadedEventArgs>

Triggers after heatmap is loaded.

resized EmitType<IResizeEventArgs>

Triggers to notify the resize of the heatmap when the window is resized.

tooltipRender EmitType<ITooltipEventArgs>

Triggers before the tooltip of the heatmap is rendered on the heatmap cell.

    <html>
        <head>
            <link href="https://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        </head>

        <body>
            <div id="container"> </div>
        </body>
    </html>
    import { enableRipple } from '@syncfusion/ej2-base';
    enableRipple(true);

    import { HeatMap, Legend, Tooltip, ILoadedEventArgs, HeatMapTheme, ITooltipEventArgs } from '@syncfusion/ej2-heatmap';
    HeatMap.Inject(Tooltip, Legend);

    /**
    * Sample for Line serie
    */
    let heatmapData: any[] = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];

    let heatmap: HeatMap = new HeatMap({
        titleSettings: {
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Normal',
                fontFamily: 'Segoe UI'
        }
        },
        xAxis: {
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        },
        yAxis: {
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        },
        allowSelection: true,
        tooltipRender: (args: ITooltipEventArgs) => {
            args.content = ['In ' + args.yLabel + ', the ' + args.xLabel + ' produced ' + args.value + ' million barrels per day'];
        },
        dataSource: heatmapData,
    });
    heatmap.appendTo('#container');

HelpBot Assistant

How can I help you?

HeatMapComponent

23 Sep 202524 minutes to read

Represents the React HeatMap component.
This is used to customize the properties of the heatmap in order to visualize two-dimensional data, with values represented by gradient or solid color variations.

<HeatMapComponent></HeatMapComponent>

Properties

allowSelection boolean

Enable or disable the selection of cells in heatmap.

import { createRoot } from 'react-dom';
import './index.css';
import * as React from "react";
import { HeatMapComponent, Legend, Tooltip, Inject } from '@syncfusion/ej2-react-heatmap';
/**
 * Heatmap Default sample
 */
function Default() {
    var heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
    return (
    <HeatMapComponent id='heatmap' titleSettings={{
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
        }
    }} xAxis={{
        labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
    }} yAxis={{
        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
    }} allowSelection={true} dataSource={heatmapData}>
        <Inject services={[Legend, Tooltip]}/>
        </HeatMapComponent>);
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

Defaults to false

backgroundColor string

Specifies the background color of the entire heatmap.

Defaults to null

cellSettings CellSettingsModel

Sets and gets the options to customize the heatmap cells.

import { createRoot } from 'react-dom';
import './index.css';
import * as React from "react";
import { HeatMapComponent } from '@syncfusion/ej2-react-heatmap';
/**
 * Heatmap Default sample
 */
function Default() {
    var heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
    return (<HeatMapComponent id='heatmap' cellSettings={{
        showLabel: false
    }} dataSource={heatmapData}>
        </HeatMapComponent>);
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

dataSource Object

Sets and gets the data to visualize in the heatmap.

Defaults to null

dataSourceSettings DataModel

Sets and gets the options to customize the data mapping for the data in the heatmap.

import { createRoot } from 'react-dom';
import './index.css';
import * as React from "react";
import { HeatMapComponent, Legend, Tooltip, Inject, Adaptor } from '@syncfusion/ej2-react-heatmap';
/**
 * Heatmap Default sample
 */
function Default() {
    let heatmapData = [
        { Region: 'USA', '2000': 93, '2004': 101, '2008': 112, '2012': 103, '2016': 121 },
        { Region: 'GBR', '2000': 28, '2004': 30, '2008': 49, '2012': 65, '2016': 67 },
        { Region: 'China', '2000': 58, '2004': 63, '2008': 100, '2012': 91, '2016': 70 },
        { Region: 'Russia', '2000': 89, '2004': 90, '2008': 60, '2012': 69, '2016': 55 },
        { Region: 'Germany', '2000': 56, '2004': 49, '2008': 41, '2012': 44, '2016': 42 },
        { Region: 'Japan', '2000': 18, '2004': 37, '2008': 25, '2012': 38, '2016': 41 },
        { Region: 'France', '2000': 38, '2004': 33, '2008': 43, '2012': 35, '2016': 42 },
        { Region: 'KOR', '2000': 28, '2004': 30, '2008': 32, '2012': 30, '2016': 21 },
        { Region: 'Italy', '2000': 34, '2004': 32, '2008': 27, '2012': 28, '2016': 28 }
    ];
   return (<HeatMapComponent id="heatmap" titleSettings={{
        text: 'Olympic Medal Achievements of most Successful Countries',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
        }
    }} xAxis={{
        labels: [
            'China',
            'France',
            'GBR',
            'Germany',
            'Italy',
            'Japan',
            'KOR',
            'Russia',
            'USA'
        ],
        labelRotation: 45,
        labelIntersectAction: 'None'
    }} yAxis={{
        title: { text: 'Olympic Year' },
        labels: ['2000', '2004', '2008', '2012', '2016']
    }} dataSource={heatmapData} dataSourceSettings={{
        isJsonData: true,
        adaptorType: 'Table',
        xDataMapping: 'Region'
    }} paletteSettings={{
        palette: [{ color: '#F0C27B' }, { color: '#4B1248' }]
    }} cellSettings={{
        border: {
            width: 1,
            radius: 4,
            color: 'white'
        }
    }} legendSettings={{
        visible: false
    }} >
    <Inject services={[Adaptor, Tooltip, Legend]}/>
</HeatMapComponent>);
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the HeatMap. If enableHtmlSanitizer set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to false

enableMultiSelect boolean

Enable or disable the multiple selection of cells in heatmap.

Defaults to true

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height string

Sets and gets the height of the heatmap. The height of the heatmap accepts pixel or percentage values given in string format.

Defaults to null

legendSettings LegendSettingsModel

Sets and gets the options for customizing the legend of the heatmap.

import { createRoot } from 'react-dom';
import './index.css';
import * as React from "react";
import { HeatMapComponent, Legend, Tooltip, Inject } from '@syncfusion/ej2-react-heatmap';
/**
 * Heatmap Default sample
 */
function Default() {
    var heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
    return (<HeatMapComponent id='heatmap' titleSettings={{
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
        }
    }} xAxis={{
        labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
    }} yAxis={{
        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
    }} paletteSettings={{
        palette: [
            { value: 0, color: '#C2E7EC' },
            { value: 10, color: '#AEDFE6' },
            { value: 20, color: '#9AD7E0' },
            { value: 30, color: '#72C7D4' },
            { value: 40, color: '#5EBFCE' },
            { value: 50, color: '#4AB7C8' },
            { value: 60, color: '#309DAE' },
            { value: 70, color: '#2B8C9B' },
            { value: 80, color: '#206974' },
            { value: 90, color: '#15464D' },
            { value: 100, color: '#000000' },
        ]
    }} cellSettings={{
        showLabel: false
    }} dataSource={heatmapData} 
    legendSettings={{
        position: 'Top',
    }}>
        <Inject services={[Legend, Tooltip]}/>
        </HeatMapComponent>);
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

margin MarginModel

Sets and gets the options to customize left, right, top and bottom margins of the heatmap.

paletteSettings PaletteSettingsModel

Sets and gets the options for customizing the cell color of the heatmap.

renderingMode DrawType

Specifies the rendering mode of heatmap. The following are the available rendering modes.

  • SVG - Heatmap is rendered using SVG element.
  • Canvas - Heatmap is rendered using Canvas element.
  • Auto - Automatically switches the rendering mode based on number of records in the data source.

Defaults to SVG

showTooltip boolean

Enable or disable the visibility of the tooltip for heatmap.

Defaults to true

theme HeatMapTheme

Sets and gets the theme styles supported for heatmap. When the theme is set, the styles associated with the theme will be set in the heatmap.

Defaults to ‘Material’

titleSettings TitleModel

Sets and gets the options to customize the title of the heatmap.

import { createRoot } from 'react-dom';
import './index.css';
import * as React from "react";
import { HeatMapComponent, Legend, Tooltip, Inject } from '@syncfusion/ej2-react-heatmap';
/**
 * Heatmap Default sample
 */
function Default() {
    var heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
    return (<HeatMapComponent id='heatmap' titleSettings={{
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
        }
    }} xAxis={{
        labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven', 'Michael', 'Robert',
            'Laura', 'Anne', 'Paul', 'Karin', 'Mario']
    }} yAxis={{
        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
    }} dataSource={heatmapData}>
        <Inject services={[Legend, Tooltip]}/>
        </HeatMapComponent>);
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

tooltipSettings TooltipSettingsModel

Sets and gets the options for customizing the tooltip of the heatmap.

import { createRoot } from 'react-dom';
import './index.css';
import * as React from "react";
import { HeatMapComponent, Legend, Tooltip, Inject } from '@syncfusion/ej2-react-heatmap';
/**
 * Heatmap Default sample
 */
function Default() {
    var heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
    function tooltipRender(args) {
        args.content = ['In ' + args.yLabel + ', the ' + args.xLabel + ' produced ' + args.value + ' million barrels per day'];
      };
      return (<HeatMapComponent id="heatmap" titleSettings={{
        text: 'Crude Oil Production of Non-OPEC Countries (in Million barrels per day)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
        }
    }} paletteSettings={{
        palette: [{ color: '#F0ADCE' }, { color: '#19307B' }]
    }} cellSettings={{
        showLabel: true
    }} tooltipSettings={{
        fill: '#696295',
        textStyle: {
            color: '#FFFFFF',
            size: '12px'
        },
        border: {
            width: 2,
            color: '#F0C27B'
        }
    }} showTooltip={true} dataSource={heatmapData}>
    <Inject services={[Legend, Tooltip]}/>
  </HeatMapComponent>);
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

width string

Sets and gets the width of the heatmap. The width of the heatmap accepts pixel or percentage values given in string format.
If specified as ‘100%, heatmap renders to the full width of its parent element.

Defaults to null

xAxis AxisModel

Sets and gets the options to configure the horizontal axis.

yAxis AxisModel

Sets and gets the options to configure the vertical axis.

Methods

clearSelection

This method is used to clear the cell selection in the heatmap.

import { createRoot } from 'react-dom';
import './index.css';
import * as React from "react";
import { HeatMapComponent } from '@syncfusion/ej2-react-heatmap';
import { ButtonComponent  } from '@syncfusion/ej2-react-buttons';
/**
 * Heatmap Default sample
 */
function Default() {
    let mapInstance: HeatMapComponent;
    let heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
    function onClick(args) {
        mapInstance.clearSelection();   
   }
    return (<div><HeatMapComponent id='heatmap' ref={m => mapInstance = m} dataSource={heatmapData}>            
        </HeatMapComponent>
        <ButtonComponent  id="clearSelection" onClick={onClick.bind(this)}>Clear Selection</ButtonComponent></div>
        );
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

Returns void

destroy

This method destroys the heatmap. This method removes the events associated with the heatmap and disposes the objects created for rendering and updating the heatmap.

import { createRoot } from 'react-dom';
import './index.css';
import * as React from "react";
import { HeatMapComponent, Legend, Tooltip, Inject } from '@syncfusion/ej2-react-heatmap';
import { ButtonComponent  } from '@syncfusion/ej2-react-buttons';
/**
 * Heatmap Default sample
 */
function Default() {
    function onClick(args) {
        heatmap.destroy();   
    }
    var heatmap;
    var heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
   return (<div><HeatMapComponent id='heatmap' ref={t => (heatmap = t)} titleSettings={{
    text: 'Sales Revenue per Employee (in 1000 US$)',
    textStyle: {
        size: '15px',
        fontWeight: '500',
        fontStyle: 'Normal',
        fontFamily: 'Segoe UI'
    }
}} xAxis={{
    labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
        'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
}} yAxis={{
    labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
}} allowSelection={true} dataSource={heatmapData}>
    <Inject services={[Legend, Tooltip]}/>
    </HeatMapComponent><ButtonComponent  id="clearSelection"  onClick={onClick.bind(this)}>Destroy</ButtonComponent ></div>
    );
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

Returns void

export

This method is used to perform the export functionality for the heatmap.

Parameter Type Description
type ExportType Specifies the type of the exported file.
fileName string Specifies the file name for the exported file.
orientation (optional) PdfPageOrientation Specifies the orientation for the exported PDF document.

Returns void

print

This method is used to print the rendered heatmap.

Returns void

refresh

Applies all the pending property changes and render the component again.

Returns void

Events

cellClick EmitType<ICellClickEventArgs>

Triggers when clicking on the heatmap cell.

cellDoubleClick EmitType<ICellClickEventArgs>

Triggers when performing the double click operation on the cells in the HeatMap.

cellRender EmitType<ICellEventArgs>

Triggers before each heatmap cell renders.

    import { createRoot } from 'react-dom';
    import * as React from "react";
    import { HeatMapComponent } from '@syncfusion/ej2-react-heatmap';
    /**
    * Heatmap Default sample
    */
    function Default() {
    function cellRender(args) {
        args.displayText = '$ ' + (args.value / 2) + 'K';
    };
    var heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
    return (<HeatMapComponent id='heatmap' paletteSettings={{
        palette: [
            { value: 0, color: '#C2E7EC' },
            { value: 10, color: '#AEDFE6' },
            { value: 20, color: '#9AD7E0' },
            { value: 30, color: '#72C7D4' },
            { value: 40, color: '#5EBFCE' },
            { value: 50, color: '#4AB7C8' },
            { value: 60, color: '#309DAE' },
            { value: 70, color: '#2B8C9B' },
            { value: 80, color: '#206974' },
            { value: 90, color: '#15464D' },
            { value: 100, color: '#000000' },
        ]
    }} cellSettings={{
        showLabel: true
    }} cellRender={cellRender.bind(this)} dataSource={heatmapData}
    >
        </HeatMapComponent>);
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

cellSelected EmitType<ISelectedEventArgs>

Triggers when heatmap cell gets selected.

created EmitType<Object>

Triggers after heatmap is completely rendered.

legendRender EmitType<ILegendRenderEventArgs>

Triggers before the legend is rendered.

    import { createRoot } from 'react-dom';
    import * as React from "react";
    import { HeatMapComponent, Legend, Tooltip, Inject } from '@syncfusion/ej2-react-heatmap';
    /**
    * Heatmap Default sample
    */
    function Default() {
        function legendRender(args) {
            args.text = args.text +'k';
        };
        var heatmapData = [
            [73, 39, 26, 39, 94, 0],
            [93, 58, 53, 38, 26, 68],
            [99, 28, 22, 4, 66, 90],
            [14, 26, 97, 69, 69, 3],
            [7, 46, 47, 47, 88, 6],
            [41, 55, 73, 23, 3, 79],
            [56, 69, 21, 86, 3, 33],
            [45, 7, 53, 81, 95, 79],
            [60, 77, 74, 68, 88, 51],
            [25, 25, 10, 12, 78, 14],
            [25, 56, 55, 58, 12, 82],
            [74, 33, 88, 23, 86, 59]
        ];
        return (<HeatMapComponent id='heatmap' titleSettings={{
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Normal',
                fontFamily: 'Segoe UI'
            }
        }} xAxis={{
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
                'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        }} yAxis={{
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        }} paletteSettings={{
            palette: [
                { value: 0, color: '#C2E7EC' },
                { value: 10, color: '#AEDFE6' },
                { value: 20, color: '#9AD7E0' },
                { value: 30, color: '#72C7D4' },
                { value: 40, color: '#5EBFCE' },
                { value: 50, color: '#4AB7C8' },
                { value: 60, color: '#309DAE' },
                { value: 70, color: '#2B8C9B' },
                { value: 80, color: '#206974' },
                { value: 90, color: '#15464D' },
                { value: 100, color: '#000000' },
            ]
        }} cellSettings={{
            showLabel: true
        }} legendRender={legendRender.bind(this)} dataSource={heatmapData}
        legendSettings={{
            position: 'Top',
        }}>
            <Inject services={[Legend, Tooltip]}/>
            </HeatMapComponent>);
    }
export default Default;

    const root = createRoot(document.getElementById('sample'));
    root.render(<Default />);

load EmitType<ILoadedEventArgs>

Triggers before heatmap gets loaded.

    import { createRoot } from 'react-dom';
    import * as React from "react";
    import { HeatMapComponent, Legend, Tooltip, Inject } from '@syncfusion/ej2-react-heatmap';
    /**
    * Heatmap Default sample
    */
    function Default() {
        function load(args) {
            alert('heatmap loaded successfully');
            let selectedTheme = location.hash.split('/')[1];
            selectedTheme = selectedTheme ? selectedTheme : 'Material';
            args.heatmap.theme = (selectedTheme.charAt(0).toUpperCase() + selectedTheme.slice(1));
        };
        var heatmapData = [
            [73, 39, 26, 39, 94, 0],
            [93, 58, 53, 38, 26, 68],
            [99, 28, 22, 4, 66, 90],
            [14, 26, 97, 69, 69, 3],
            [7, 46, 47, 47, 88, 6],
            [41, 55, 73, 23, 3, 79],
            [56, 69, 21, 86, 3, 33],
            [45, 7, 53, 81, 95, 79],
            [60, 77, 74, 68, 88, 51],
            [25, 25, 10, 12, 78, 14],
            [25, 56, 55, 58, 12, 82],
            [74, 33, 88, 23, 86, 59]
        ];
        return (<HeatMapComponent id='heatmap' titleSettings={{
            text: 'Sales Revenue per Employee (in 1000 US$)',
            textStyle: {
                size: '15px',
                fontWeight: '500',
                fontStyle: 'Normal',
                fontFamily: 'Segoe UI'
            }
        }} xAxis={{
            labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
                'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
        }} yAxis={{
            labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
        }} paletteSettings={{
            palette: [
                { value: 0, color: '#C2E7EC' },
                { value: 10, color: '#AEDFE6' },
                { value: 20, color: '#9AD7E0' },
                { value: 30, color: '#72C7D4' },
                { value: 40, color: '#5EBFCE' },
                { value: 50, color: '#4AB7C8' },
                { value: 60, color: '#309DAE' },
                { value: 70, color: '#2B8C9B' },
                { value: 80, color: '#206974' },
                { value: 90, color: '#15464D' },
                { value: 100, color: '#000000' },
            ]
        }} cellSettings={{
            showLabel: false
        }} load={load.bind(this)} dataSource={heatmapData}
        legendSettings={{
            position: 'Top',
        }}>
            <Inject services={[Legend, Tooltip]}/>
            </HeatMapComponent>);
    }
    export default Default;

    const root = createRoot(document.getElementById('sample'));
    root.render(<Default />);

loaded EmitType<ILoadedEventArgs>

Triggers after heatmap is loaded.

resized EmitType<IResizeEventArgs>

Triggers to notify the resize of the heatmap when the window is resized.

tooltipRender EmitType<ITooltipEventArgs>

Triggers before the tooltip of the heatmap is rendered on the heatmap cell.

import { createRoot } from 'react-dom';
import * as React from "react";
import { HeatMapComponent, Legend, Tooltip, Inject } from '@syncfusion/ej2-react-heatmap';
/**
 * Heatmap Default sample
 */
function Default() {
    var heatmapData = [
        [73, 39, 26, 39, 94, 0],
        [93, 58, 53, 38, 26, 68],
        [99, 28, 22, 4, 66, 90],
        [14, 26, 97, 69, 69, 3],
        [7, 46, 47, 47, 88, 6],
        [41, 55, 73, 23, 3, 79],
        [56, 69, 21, 86, 3, 33],
        [45, 7, 53, 81, 95, 79],
        [60, 77, 74, 68, 88, 51],
        [25, 25, 10, 12, 78, 14],
        [25, 56, 55, 58, 12, 82],
        [74, 33, 88, 23, 86, 59]
    ];
    function tooltipRender(args) {
        args.content = ['In ' + args.yLabel + ', the ' + args.xLabel + ' produced ' + args.value + ' million barrels per day'];
      };
    return (<HeatMapComponent id='heatmap' titleSettings={{
        text: 'Sales Revenue per Employee (in 1000 US$)',
        textStyle: {
            size: '15px',
            fontWeight: '500',
            fontStyle: 'Normal',
            fontFamily: 'Segoe UI'
        }
    }} xAxis={{
        labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
            'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
    }} yAxis={{
        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
    }} paletteSettings={{
        palette: [
            { value: 0, color: '#C2E7EC' },
            { value: 10, color: '#AEDFE6' },
            { value: 20, color: '#9AD7E0' },
            { value: 30, color: '#72C7D4' },
            { value: 40, color: '#5EBFCE' },
            { value: 50, color: '#4AB7C8' },
            { value: 60, color: '#309DAE' },
            { value: 70, color: '#2B8C9B' },
            { value: 80, color: '#206974' },
            { value: 90, color: '#15464D' },
            { value: 100, color: '#000000' },
        ]
    }} cellSettings={{
        showLabel: true
    }} tooltipRender={tooltipRender.bind(this)} dataSource={heatmapData}
    legendSettings={{
        position: 'Top',
    }}>
        <Inject services={[Legend, Tooltip]}/>
        </HeatMapComponent>);
}
export default Default;

const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

HeatMapComponent

23 Sep 202524 minutes to read

Represents the Vue HeatMap component.
This is used to customize the properties of the heatmap in order to visualize two-dimensional data, with values represented by gradient or solid color variations.

<ejs-heatmap></ejs-heatmap>

Properties

allowSelection boolean

Enable or disable the selection of cells in heatmap.

    <template>
        <div id="app">
            <ejs-heatmap id="heatmap" :titleSettings='titleSettings' :xAxis='xAxis' :yAxis='yAxis' :dataSource='dataSource' :allowSelection='allowSelection'></ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from 'vue';
        import { HeatMapPlugin, Tooltip, Legend } from '@syncfusion/ej2-vue-heatmap';
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    titleSettings: {
                        text: 'Sales Revenue per Employee (in 1000 US$)',
                        textStyle: {
                            size: '15px',
                            fontWeight: '500',
                            fontStyle: 'Normal',
                            fontFamily: 'Segoe UI'
                        }
                    },
                    xAxis: {
                        labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven',
                        'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin',   'Mario']
                    },
                    yAxis: {
                        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat']
                    },
                    allowSelection: true
                }
            },
            provide:{
                heatmap:[Tooltip, Legend]
            },
        }
    </script>

Defaults to false

backgroundColor string

Specifies the background color of the entire heatmap.

Defaults to null

cellSettings CellSettingsModel

Sets and gets the options to customize the heatmap cells.

    <template>
        <div class="control_wrapper">
        <ejs-heatmap id="heatmap" :dataSource='dataSource' :titleSettings='titleSettings' :legendSettings='legendSettings' :cellSettings='cellSettings'>
        </ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from 'vue';
        import { HeatMapPlugin, Tooltip, Legend } from '@syncfusion/ej2-vue-heatmap';
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    cellSettings: {
                        showLabel: false,
                    },
                    titleSettings: {
                        text: 'Sales Revenue per Employee (in 1000 US$)',
                        textStyle: {
                            size: '15px',
                            fontWeight: '500',
                            fontStyle: 'Normal',
                            fontFamily: 'Segoe UI'
                        }
                    },
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    legendSettings: {
                        visible:true,
                        position: 'Right',
                        showLabel: true,
                        height: "150"
                    }
                }
            },
            provide:{
                heatmap:[Tooltip, Legend]
            },
        }
    </script>

dataSource Object

Sets and gets the data to visualize in the heatmap.

Defaults to null

dataSourceSettings DataModel

Sets and gets the options to customize the data mapping for the data in the heatmap.

    <template>
        <div id="app">
            <ejs-heatmap id="heatmap" :titleSettings='titleSettings' :xAxis='xAxis' :yAxis='yAxis' :dataSource='dataSource' :dataSourceSettings='dataSourceSettings' :cellSettings='cellSettings'></ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from 'vue';
        import { HeatMapPlugin, Tooltip, Legend, Adaptor } from '@syncfusion/ej2-vue-heatmap';
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    dataSource: [
                        [0, 0, 10.75], [0, 1, 14.5], [0, 2, 25.5], [0, 3, 39.5], [0, 4, 59.75], [0, 5, 35.50], [0, 6, 75.5],
                        [1, 0, 20.75], [1, 1, 35.5], [1, 2, 29.5], [1, 3, 75.5], [1, 4, 80], [1, 5, 65], [1, 6, 85],
                        [2, 0, 6], [2, 1, 18.5], [2, 2, 30.05], [2, 3, 35.5], [2, 4, 40.75], [2, 5, 50.75], [2, 6, 65],
                        [3, 0, 30.5], [3, 1, 20.5], [3, 2, 45.30], [3, 3, 50], [3, 4, 55], [3, 5, 85.80], [3, 6, 87.5],
                        [4, 0, 10.5], [4, 1, 20.75], [4, 2, 35.5], [4, 3, 35.5], [4, 4, 45.5], [4, 5, 65.], [4, 6, 75.5],
                        [5, 0, 45.5], [5, 1, 20.75], [5, 2, 45.5], [5, 3, 50.75], [5, 4, 79.30], [5, 5, 84.20], [5, 6, 87.36],
                        [6, 0, 26.82], [6, 1, 70], [6, 2, 75], [6, 3, 79.5], [6, 4, 88.5], [6, 5, 89.5], [6, 6, 91.75],
                    ],
                    dataSourceSettings: {
                        adaptorType: 'Cell'
                    },
                    titleSettings: {
                        text: 'Olympic Medal Achievements of most Successful Countries',
                        textStyle: {
                            size: '15px',
                            fontWeight: '500',
                            fontStyle: 'Normal',
                            fontFamily: 'Segoe UI'
                        }
                    },
                    xAxis: {
                        labels: ['China', 'France', 'GBR', 'Germany', 'Italy', 'Japan', 'KOR', 'Russia', 'USA'],
                        labelRotation: 45,
                        labelIntersectAction: 'None'
                    },
                    yAxis: {
                        title : {text: 'Olympic Year'},
                        labels: ['2000', '2004', '2008', '2012', '2016'],
                    },            
                }
            },
            provide:{
                heatmap:[Tooltip, Legend, Adaptor]
            }
        }
    </script>

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the HeatMap. If enableHtmlSanitizer set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to false

enableMultiSelect boolean

Enable or disable the multiple selection of cells in heatmap.

Defaults to true

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height string

Sets and gets the height of the heatmap. The height of the heatmap accepts pixel or percentage values given in string format.

Defaults to null

legendSettings LegendSettingsModel

Sets and gets the options for customizing the legend of the heatmap.

    <template>
        <div class="control_wrapper">
            <ejs-heatmap id="heatmap" :dataSource='dataSource' :xAxis='xAxis' :yAxis='yAxis' :titleSettings='titleSettings' :legendSettings='legendSettings'></ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from 'vue';
        import { HeatMapPlugin, Tooltip, Legend } from '@syncfusion/ej2-vue-heatmap';
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    xAxis: {
                        labels: ['Nancy', 'Andrew','Janet', 'Margaret', 'Steven',
                                    'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
                    },
                    yAxis:{
                        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
                    },
                    titleSettings: {
                        text: 'Sales Revenue per Employee (in 1000 US$)',
                        textStyle: {
                            size: '15px',
                            fontWeight: '500',
                            fontStyle: 'Normal',
                            fontFamily: 'Segoe UI'
                        }
                    },
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    legendSettings: {
                        visible:true,
                        position: 'Right',
                        showLabel: true,
                        height: "150"
                    }
                }
            },
            provide:{
                heatmap:[Tooltip, Legend]
            },
        }
    </script>

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

margin MarginModel

Sets and gets the options to customize left, right, top and bottom margins of the heatmap.

paletteSettings PaletteSettingsModel

Sets and gets the options for customizing the cell color of the heatmap.

renderingMode DrawType

Specifies the rendering mode of heatmap. The following are the available rendering modes.

  • SVG - Heatmap is rendered using SVG element.
  • Canvas - Heatmap is rendered using Canvas element.
  • Auto - Automatically switches the rendering mode based on number of records in the data source.

Defaults to SVG

showTooltip boolean

Enable or disable the visibility of the tooltip for heatmap.

Defaults to true

theme HeatMapTheme

Sets and gets the theme styles supported for heatmap. When the theme is set, the styles associated with the theme will be set in the heatmap.

Defaults to ‘Material’

titleSettings TitleModel

Sets and gets the options to customize the title of the heatmap.

    <template>
        <div class="control_wrapper">
            <ejs-heatmap id="heatmap" :dataSource='dataSource' :xAxis='xAxis' :yAxis='yAxis' :titleSettings='titleSettings'></ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from 'vue';
        import { HeatMapPlugin, Tooltip, Legend } from '@syncfusion/ej2-vue-heatmap';
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    xAxis: {
                        labels: ['Nancy', 'Andrew','Janet', 'Margaret', 'Steven',                                   'Michael', 'Robert', 'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
                    },
                    yAxis:{
                        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
                    },
                    titleSettings: {
                        text: 'Sales Revenue per Employee (in 1000 US$)',
                        textStyle: {
                            size: '15px',
                            fontWeight: '500',
                            fontStyle: 'Normal',
                            fontFamily: 'Segoe UI'
                        }
                    },
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ]
                }
            },
            provide:{
                heatmap:[Tooltip, Legend]
            },
        }
    </script>

tooltipSettings TooltipSettingsModel

Sets and gets the options for customizing the tooltip of the heatmap.

    <template>
        <div id="app">
            <ejs-heatmap id="heatmap" :titleSettings='titleSettings' :xAxis='xAxis' :yAxis='yAxis' :dataSource='dataSource' :cellSettings='cellSettings' :showTooltip='showTooltip' :tooltipSettings='tooltipSettings'></ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from 'vue';
        import { HeatMapPlugin, Tooltip, Legend } from '@syncfusion/ej2-vue-heatmap';
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    titleSettings: {
                        text: 'Crude Oil Production of Non-OPEC Countries (in Million barrels per day)',
                        textStyle: {
                            size: '15px',
                            fontWeight: '500',
                            fontStyle: 'Normal',
                            fontFamily: 'Segoe UI'
                        }
                    },
                    xAxis: {
                        labels: ['China', 'France', 'GBR', 'Germany', 'Italy', 'Japan', 'KOR', 'Russia', 'USA'],
                        labelRotation: 45,
                        labelIntersectAction: 'None'
                    },
                    yAxis: {
                        title : {text: 'Olympic Year'},
                        labels: ['2000', '2004', '2008', '2012', '2016'],
                    }, 
                    cellSettings: {
                        showLabel: true,
                    },
                    tooltipSettings: {
                        fill: '#696295',
                        textStyle: {
                            color: '#FFFFFF',
                            size: '12px'
                        },
                        border: {
                            width: 2,
                            color: '#F0C27B'
                        }
                    },
                    showTooltip: true
                }
            },
            provide:{
                heatmap:[Tooltip, Legend]
            },
        }
    </script>

width string

Sets and gets the width of the heatmap. The width of the heatmap accepts pixel or percentage values given in string format.
If specified as ‘100%, heatmap renders to the full width of its parent element.

Defaults to null

xAxis AxisModel

Sets and gets the options to configure the horizontal axis.

yAxis AxisModel

Sets and gets the options to configure the vertical axis.

Methods

clearSelection

This method is used to clear the cell selection in the heatmap.

    <template>
        <div id="app">
            <ejs-heatmap id="heatmap" ref="heatmaps" :titleSettings="titleSettings" :allowSelection='allowSelection' :dataSource="dataSource"
            ></ejs-heatmap>
            <div>
            <ejs-button v-on:click.native="btnClick">Clear Selection</ejs-button>
            </div>
        </div>
    </template>
    <script>
        import Vue from "vue";
        import { HeatMapPlugin, Tooltip, Legend } from "@syncfusion/ej2-vue-heatmap";
        import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";
		
        Vue.use(HeatMapPlugin);
        Vue.use(ButtonPlugin);
        export default {
            data: function() {
                return {
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    titleSettings: {
                        text: "Sales Revenue per Employee (in 1000 US$)",
                        textStyle: {
                        size: "15px",
                        fontWeight: "500",
                        fontStyle: "Normal",
                        fontFamily: "Segoe UI"
                        }
                    },
                    allowSelection: true
                };
            },
            provide: {
                heatmap: [Tooltip, Legend]
            },
            methods: {
                btnClick: function () {
					this.$refs.heatmaps.ej2Instances.clearSelection();
				}
            }
        };
    </script>

Returns void

destroy

This method destroys the heatmap. This method removes the events associated with the heatmap and disposes the objects created for rendering and updating the heatmap.

    <template>
        <div id="app">
            <ejs-heatmap id="heatmap" ref="heatmaps" :titleSettings="titleSettings" :xAxis="xAxis" :yAxis="yAxis" :dataSource="dataSource"
            ></ejs-heatmap>
            <div>
                    <ejs-button v-on:click.native="BtnClick">Destroy</ejs-button>
            </div>
        </div>
    </template>
    <script>
        import Vue from "vue";
        import { HeatMapPlugin, Tooltip, Legend } from "@syncfusion/ej2-vue-heatmap";
		import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";
		
        Vue.use(HeatMapPlugin);
		Vue.use(ButtonPlugin);
        export default {
            data: function() {
                return {
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    titleSettings: {
                        text: "Sales Revenue per Employee (in 1000 US$)",
                        textStyle: {
                            size: "15px",
                            fontWeight: "500",
                            fontStyle: "Normal",
                            fontFamily: "Segoe UI"
                        }
                    },
                     xAxis: {
                        labels: ['Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven', 'Michael', 'Robert',
                            'Laura', 'Anne', 'Paul', 'Karin', 'Mario'],
                    },
                    yAxis: {
                        labels: ['Mon', 'Tues', 'Wed', 'Thurs', 'Fri', 'Sat'],
                    },
                };
            },
            provide: {
                heatmap: [Tooltip, Legend]
            },
            methods: {
                BtnClick: function () {
					this.$refs.heatmaps.ej2Instances.destroy();
				}
            }
        };
    </script>

Returns void

export

This method is used to perform the export functionality for the heatmap.

Parameter Type Description
type ExportType Specifies the type of the exported file.
fileName string Specifies the file name for the exported file.
orientation (optional) PdfPageOrientation Specifies the orientation for the exported PDF document.

Returns void

print

This method is used to print the rendered heatmap.

Returns void

refresh

Applies all the pending property changes and render the component again.

Returns void

Events

cellClick EmitType<ICellClickEventArgs>

Triggers when clicking on the heatmap cell.

cellDoubleClick EmitType<ICellClickEventArgs>

Triggers when performing the double click operation on the cells in the HeatMap.

cellRender EmitType<ICellEventArgs>

Triggers before each heatmap cell renders.

    <template>
    <div id="app">
        <ejs-heatmap id="heatmap" :titleSettings="titleSettings" :dataSource="dataSource" :cellRender="cellRender"
        ></ejs-heatmap>
    </div>
    </template>
    <script>
        import Vue from "vue";
        import { HeatMapPlugin, Tooltip, Legend } from "@syncfusion/ej2-vue-heatmap";
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    titleSettings: {
                        text: "Sales Revenue per Employee (in 1000 US$)",
                        textStyle: {
                        size: "15px",
                        fontWeight: "500",
                        fontStyle: "Normal",
                        fontFamily: "Segoe UI"
                        }
                    },
                };
            },
            provide: {
                heatmap: [Tooltip, Legend]
            },
            methods: {
                cellRender: function(args) {
                    args.displayText = args.value + "$";
                }
            }
        };
    </script>

cellSelected EmitType<ISelectedEventArgs>

Triggers when heatmap cell gets selected.

created EmitType<Object>

Triggers after heatmap is completely rendered.

legendRender EmitType<ILegendRenderEventArgs>

Triggers before the legend is rendered.

    <template>
        <div id="app">
            <ejs-heatmap id="heatmap" :titleSettings="titleSettings" :dataSource="dataSource" :legendRender="legendRender"
            ></ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from "vue";
        import { HeatMapPlugin, Tooltip, Legend } from "@syncfusion/ej2-vue-heatmap";
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    titleSettings: {
                        text: "Sales Revenue per Employee (in 1000 US$)",
                        textStyle: {
                        size: "15px",
                        fontWeight: "500",
                        fontStyle: "Normal",
                        fontFamily: "Segoe UI"
                        }
                    },
                };
            },
            provide: {
                heatmap: [Tooltip, Legend]
            },
            methods: {
                legendRender: function(args) {
                    args.text = args.text +'k';
                }
            }
        };
    </script>

load EmitType<ILoadedEventArgs>

Triggers before heatmap gets loaded.

    <template>
        <div id="app">
            <ejs-heatmap id="heatmap" :titleSettings="titleSettings" :load='load' :dataSource="dataSource"
            ></ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from "vue";
        import { HeatMapPlugin, Tooltip, Legend } from "@syncfusion/ej2-vue-heatmap";
		
        Vue.use(HeatMapPlugin);
        export default {
            data: function() {
                return {
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    titleSettings: {
                        text: "Sales Revenue per Employee (in 1000 US$)",
                        textStyle: {
                        size: "15px",
                        fontWeight: "500",
                        fontStyle: "Normal",
                        fontFamily: "Segoe UI"
                        }
                    }
                };
            },
            provide: {
                heatmap: [Tooltip, Legend]
            },
            methods: {
                load: function(args) {
                    alert('Heatmap loaded successfully');
                }
            }
        };
    </script>

loaded EmitType<ILoadedEventArgs>

Triggers after heatmap is loaded.

resized EmitType<IResizeEventArgs>

Triggers to notify the resize of the heatmap when the window is resized.

tooltipRender EmitType<ITooltipEventArgs>

Triggers before the tooltip of the heatmap is rendered on the heatmap cell.

    <template>
        <div id="app">
            <ejs-heatmap id="heatmap" :titleSettings='titleSettings' :xAxis='xAxis' :yAxis='yAxis' :dataSource='dataSource' :cellSettings='cellSettings' :showTooltip='showTooltip' :tooltipSettings='tooltipSettings' :tooltipRender='tooltipRender'></ejs-heatmap>
        </div>
    </template>
    <script>
        import Vue from 'vue';
        import { HeatMapPlugin, Tooltip, Legend } from '@syncfusion/ej2-vue-heatmap';
        Vue.use(HeatMapPlugin);

        export default {
            data: function() {
                return {
                    dataSource: [
                        [73, 39, 26, 39, 94, 0],
                        [93, 58, 53, 38, 26, 68],
                        [99, 28, 22, 4, 66, 90],
                        [14, 26, 97, 69, 69, 3],
                        [7, 46, 47, 47, 88, 6],
                        [41, 55, 73, 23, 3, 79],
                        [56, 69, 21, 86, 3, 33],
                        [45, 7, 53, 81, 95, 79],
                        [60, 77, 74, 68, 88, 51],
                        [25, 25, 10, 12, 78, 14],
                        [25, 56, 55, 58, 12, 82],
                        [74, 33, 88, 23, 86, 59]
                    ],
                    titleSettings: {
                        text: 'Crude Oil Production of Non-OPEC Countries (in Million barrels per day)',
                        textStyle: {
                            size: '15px',
                            fontWeight: '500',
                            fontStyle: 'Normal',
                            fontFamily: 'Segoe UI'
                        }
                    },
                    cellSettings: {
                        showLabel: true,
                    },
                    xAxis: {
                        labels: ['China', 'France', 'GBR', 'Germany', 'Italy', 'Japan', 'KOR', 'Russia', 'USA'],
                        labelRotation: 45,
                        labelIntersectAction: 'None'
                    },
                    yAxis: {
                        title : {text: 'Olympic Year'},
                        labels: ['2000', '2004', '2008', '2012', '2016'],
                    },
                    tooltipSettings: {
                        fill: '#696295',
                        textStyle: {
                            color: '#FFFFFF',
                            size: '12px'
                        },
                        border: {
                            width: 2,
                            color: '#F0C27B'
                        }
                    },
                    showTooltip: true
                }
            },
            provide:{
                heatmap:[Tooltip, Legend]
            },
            methods: {
                tooltipRender: function(args){
                    args.content = ['In ' + args.yLabel + ', the ' + args.xLabel + ' produced ' + args.value + ' million barrels per day'];
                }
            }
        }
    </script>